package com.lesingle.modules.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lesingle.common.result.PageResult;
import com.lesingle.modules.sys.dto.CreateRoleDto;
import com.lesingle.modules.sys.dto.UpdateRoleDto;
import com.lesingle.modules.sys.entity.SysRole;

import java.util.Map;

public interface ISysRoleService extends IService<SysRole> {

    Map<String, Object> createRole(CreateRoleDto dto, Long tenantId);

    PageResult<Map<String, Object>> findAll(Long page, Long pageSize, Long tenantId);

    Map<String, Object> findDetail(Long id, Long tenantId);

    Map<String, Object> updateRole(Long id, UpdateRoleDto dto, Long tenantId);

    void removeRole(Long id, Long tenantId);
}
